#================ ObelixFHD_TextConverter =============

from Components.Converter.Converter import Converter
from Components.Element import cached

class ObelixFHD_TextConverter(Converter, object):
	def __init__(self, type):
		Converter.__init__(self, type)
		self.type=type

	@cached
	def getText(self):
		
		try:
			
			typeArray = self.type.split(',')
			if len(typeArray) == 2:
				Mode, Input1 = typeArray
			if len(typeArray) == 3:
				Mode, Input1, Input2 = typeArray
				
			if Mode == "Empty":
				if self.source.text == "":
					return Input1
				else:
					return self.source.text
				
			if Mode == "Replace":
				return self.source.text.replace(Input1,Input2)
				
			if Mode == "Remove":
				return self.source.text.replace(Input1,"")
			
			return "Error no Mode"
		
		except:
			return "Error"

	text = property(getText)
	
# =========================================================
